#
# Conditional build:
%bcond_without	introspection	# disable introspection
#
Summary:	Port of WebKit embeddable web component to GTK+
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+
Name:		gtk-webkit
Version:	2.0.1
Release:	2
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
# Source0-md5:	69c2037b6d2644d789d34940eac9c993
Patch0:		%{name}-sync-builtins.patch
Patch1:		%{name}-sh.patch
Patch2:		%{name}-pl.po.patch
URL:		http://webkitgtk.org/
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	at-spi2-core-devel >= 2.6.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bison >= 1.875
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.5.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	gcc-c++ >= 6:4.7
BuildRequires:	geoclue-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 1.32.0}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 1.0.3
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.3
BuildRequires:	gtk+2-devel >= 2:2.24.10
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	harfbuzz-devel >= 0.9.7
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libwebp-devel
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.32.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	ruby
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	cairo >= 1.10
Requires:	enchant >= 0.22
Requires:	fontconfig-libs >= 2.5.0
Requires:	freetype >= 1:2.1.8
Requires:	glib2 >= 1:2.36.0
Requires:	gstreamer >= 1.0.3
Requires:	gstreamer-plugins-base >= 1.0.3
Requires:	gtk+2 >= 2:2.24.10
Requires:	harfbuzz >= 0.9.7
Requires:	libsoup >= 2.42.0
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.32.0
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
webkit is a port of the WebKit embeddable web component to GTK+.

%description -l pl.UTF-8
webkit to port osadzalnego komponentu WWW WebKit do GTK+.

%package devel
Summary:	Development files for WebKit
Summary(pl.UTF-8):	Pliki programistyczne WebKit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	gtk+2-devel >= 2:2.24.10
Requires:	libsoup-devel >= 2.42.0
Requires:	libstdc++-devel

%description devel
Development files for WebKit.

%description devel -l pl.UTF-8
Pliki programistyczne WebKit.

%prep
%setup -q -n webkitgtk-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I Source/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk-doc \
	--disable-silent-rules \
	--disable-webkit2 \
	--enable-geolocation \
	--enable-glx \
	%{__enable_disable introspection} \
	--enable-webgl \
	--with-gtk=2.0 \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*-1.0.la
# packaged in gtk-webkit3
%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}/webkitgtk

%find_lang WebKitGTK-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f WebKitGTK-2.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/jsc-1
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkitgtk-1.0.so.0
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjavascriptcoregtk-1.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/JSCore-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib
%endif
%dir %{_datadir}/webkitgtk-1.0
%{_datadir}/webkitgtk-1.0/images
%{_datadir}/webkitgtk-1.0/resources
%{_datadir}/webkitgtk-1.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JSCore-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir
%endif
%{_includedir}/webkitgtk-1.0
%{_pkgconfigdir}/javascriptcoregtk-1.0.pc
%{_pkgconfigdir}/webkit-1.0.pc
%changelog
* Tue Apr 23 2013 witekfl <witekfl@poczta.onet.pl> d783335
- added pl.po.patch

* Tue Apr 23 2013 witekfl <witekfl@poczta.onet.pl> e95bf5e
- these two translated expressions caused the segfault of the midori

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 7dbd49e
- updated to 2.0.1
- updated sh patch

* Sun Apr 14 2013 Jakub Bogusz <qboosh@pld-linux.org> d13b7e6
- updated to 2.0.0 (with patches from gtk-webkit3)

* Tue Nov 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c34547
- updated to 1.10.1

* Sat Oct 06 2012 Jakub Bogusz <qboosh@pld-linux.org> a394da8
- updated to 1.10.0
- updated am,bison2.6 patches

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 91adee5
- release 2 (by relup.sh)

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c43f9b
- updated to 1.8.2
- added bison2.6 patch

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 20bff3b
- added missing am.patch, release 2

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 8901e63
- updated to 1.8.1 built for gtk+2 (note: new sonames);
  webkit 1.2.x for gtk+2 left on WEBKIT_1_2 branch, new webkit for gtk+3 already in gtk-webkit3.spec)
- removed obsolete gobject-introspection,libpng patches
- added am patch (automake 1.12 compatibility patch from gentoo)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c43119
- rel 10; png fix

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d23d9f
- release 9

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b2010ff
- release 8

* Sun Oct 09 2011 Artur Frysiak <artur@frysiak.net> 28ad323
- rel. 7

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> a1864ee
- force make -j1
- rel. 6

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 925fc40
- BR: cairo-gobject-devel
- rel. 5

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> f4962f2
- drop libtool file

* Sun Mar 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b1701b5
- proper order of lt/ac/am calls to avoid rebuilding again on make stage

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 96d36bb
- release 3

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a60ba79
- release 2

